precision mediump float;
uniform sampler2D width_blur_texture;
varying vec2 VSOutTexCoord;
varying vec4 textureShift_1;
varying vec4 textureShift_2;
varying vec4 textureShift_3;
varying vec4 textureShift_4;

void main(){
    vec3 sum = texture2D(width_blur_texture, VSOutTexCoord).rgb;
    sum += texture2D(width_blur_texture, textureShift_1.xy).rgb;
    sum += texture2D(width_blur_texture, textureShift_1.zw).rgb;
    sum += texture2D(width_blur_texture, textureShift_2.xy).rgb;
    sum += texture2D(width_blur_texture, textureShift_2.zw).rgb;
    sum += texture2D(width_blur_texture, textureShift_3.xy).rgb;
    sum += texture2D(width_blur_texture, textureShift_3.zw).rgb;
    sum += texture2D(width_blur_texture, textureShift_4.xy).rgb;
    sum += texture2D(width_blur_texture, textureShift_4.zw).rgb;
    gl_FragColor = vec4(sum * 0.1111, 1.0);
}