precision highp float;
uniform sampler2D InputTextureSampler_0;
uniform sampler2D InputTextureSampler_1;
varying vec2 VSOutTexCoord;

void main(){
  	lowp vec3 color = texture2D(InputTextureSampler_0, VSOutTexCoord).rgb;
  	lowp vec3 meanColor = texture2D(InputTextureSampler_1, VSOutTexCoord).rgb;
  	highp vec3 diffColor = (color - meanColor) * 7.07;
	diffColor = min(diffColor * diffColor, 1.0);
	gl_FragColor = vec4(diffColor, 1.0);
}